' ---
' INSTALLATION DE LA BIBLIOTHEQUE GIF89.DLL
' Herv Inisan, www.self-access.com
' ---
' Faites en sorte que le chemin strOrigine pointe vers
' un emplacement o se trouve le fichier gif89.dll.
' Il peut s'agir d'un dossier local ("C:\dossier\gif89.dll")
' ou d'un dossier rseau ("\\serveur\dossier\gif89.dll")
'
Dim fso
Dim strOrigine, strDestination, strSysteme, strCommande

' Chemin o se trouve la bibliothque gif89.dll  installer
strOrigine = "\\trex\partage\gif89.dll"

' La racine du systme de fichiers...
Set fso = WScript.CreateObject("Scripting.FileSystemObject")

' Obtenir le chemin du dossier systme (SystemFolder = 1)
strSysteme = fso.GetSpecialFolder(1)

' Chemin final de la DLL
strDestination = strSysteme & "\gif89.dll"

' Vrifier que la DLL existe bien  l'endroit de dpart
If Not fso.FileExists(strOrigine) Then
    MsgBox "Fichier " & strOrigine & " introuvable !"
Else
    ' Copier le fichier  son emplacement final
    fso.CopyFile strOrigine, strDestination

    ' Vrifier que la DLL figure bien  l'endroit souhait
    ' (ce qui devrait tre le cas vu la ligne prcdente !)
    If Not fso.FileExists(strDestination) Then
        MsgBox "Fichier " & strDestination & " introuvable !"
    Else
      ' Inscrire la DLL dans la base de registre
      strCommande = """" & strSysteme & "\regsvr32.exe"" """ & strDestination & """"
      Set ws = WScript.CreateObject("WScript.Shell")
      ws.Run strCommande, 1
    End If
End If

' Librer les objets !
Set ws = Nothing
Set fso = Nothing
